diff --git a/alterator-sysconfig/backend3/sysconfig-base b/alterator-sysconfig/backend3/sysconfig-base
index 07bb114..8d139d1 100755
--- a/alterator-sysconfig/backend3/sysconfig-base
+++ b/alterator-sysconfig/backend3/sysconfig-base
@@ -118,7 +118,8 @@ on_message(){
             printf 'SUPPORTED=%s\n' "$(write_locale "$firstlang")">>"$i18n_conf"
           fi
 
-          sed 's,^%_install_langs[[:space:]].*,%_install_langs all,' -i "$rpm_conf"
+          [ "$firstlang" = "en_US" ] || firstlang="en_US:$firstlang"
+          sed "s,^%_install_langs[[:space:]].*,%_install_langs $firstlang," -i "$rpm_conf"
         ;;
       esac
     ;;
diff --git a/alterator-sysconfig/preinstall.d/20-sysconfig.sh b/alterator-sysconfig/preinstall.d/20-sysconfig.sh
index 0150dc9..bee5193 100755
--- a/alterator-sysconfig/preinstall.d/20-sysconfig.sh
+++ b/alterator-sysconfig/preinstall.d/20-sysconfig.sh
@@ -33,3 +33,6 @@
 
 [ ! -f "/etc/X11/xinit/Xkbmap" -o ! -d "$destdir/etc/X11/xinit" ] ||
 	cp -af "/etc/X11/xinit/Xkbmap" "$destdir/etc/X11/xinit/"
+
+[ ! -f "/etc/rpm/macros" ] ||
+       cp -af "/etc/rpm/macros" "$destdir/etc/rpm/"
